Skip to main content
`Ctrl`+`K`

# is_strongly_connected

is_strongly_connected(G)

  Test directed graph for strong connectivity.

  A directed graph is strongly connected if and only if every vertex in the graph is reachable from every other vertex.

  Parameters:
    G NetworkX Graph

      A directed graph.

  Returns:
    connected bool

      True if the graph is strongly connected, False otherwise.

  Raises:
    NetworkXNotImplemented

      If G is undirected.

  See also

  `is_weakly_connected`
  `is_semiconnected`
  `is_connected`
  `is_biconnected`
  `strongly_connected_components`

  Notes

  For directed graphs only.

  Examples

      >>> G = nx.DiGraph([(0, 1), (1, 2), (2, 3), (3, 0), (2, 4), (4, 2)])
      >>> nx.is_strongly_connected(G)
      True
      >>> G.remove_edge(2, 3)
      >>> nx.is_strongly_connected(G)
      False